Subject: About memory limits.

From: Alfonso Ortega de la Puente <[email-masked]>
Date: Mon, 28 Feb 2000 15:23:56 +0100

I am a swi-prolog  user on Windows 95 and 98.
	I have to handle very long lists and strings. (over 2M)
	I have tried the following:
	(1) To massively increase the available memory (-L128m -G128m -T64m ). The system fails trying to allocate virtual memory.
	(2) To moderately increase the available memory (numerical values less than before) and to use files when the length of the strings or lists
become big enough. I know that the program uses memory for a lot of tasks apart from lists and strings. Could anyone to suggest me a rational
memory strategy?. For example,  is there a typical relationship between the size of memory used in lists and strings by a program and the system 
limits of memory (trail, global, local, etc...)?

	Thanks, and regards.